summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.config/ncmpcpp/config1
-rwxr-xr-x.local/bin/statusbar/sb-forecast2
2 files changed, 2 insertions, 1 deletions
diff --git a/.config/ncmpcpp/config b/.config/ncmpcpp/config
index 3111aab..1e2a8b0 100644
--- a/.config/ncmpcpp/config
+++ b/.config/ncmpcpp/config
@@ -31,3 +31,4 @@ progressbar_elapsed_color = blue:b
statusbar_color = red
statusbar_time_color = cyan:b
execute_on_song_change="pkill -RTMIN+11 dwmblocks"
+execute_on_player_state_change="pkill -RTMIN+11 dwmblocks"
diff --git a/.local/bin/statusbar/sb-forecast b/.local/bin/statusbar/sb-forecast
index 368c17f..d8a16aa 100755
--- a/.local/bin/statusbar/sb-forecast
+++ b/.local/bin/statusbar/sb-forecast
@@ -7,7 +7,7 @@ url="${WTTRURL:-wttr.in}"
weatherreport="${XDG_CACHE_HOME:-$HOME/.cache}/weatherreport"
# Get a weather report from 'wttr.in' and save it locally.
-getforecast() { curl -sf "$url/$LOCATION" > "$weatherreport" || exit 1; }
+getforecast() { timeout --signal=1 2s curl -sf "$url/$LOCATION" > "$weatherreport" || exit 1; }
# Forecast should be updated only once a day.
checkforecast() {